allow-lan: true
dns:
  enable: true
  enhanced-mode: redir-host
  ipv6: true
  listen: 0.0.0.0:1053
  nameserver:
    - 8.8.8.8#Proxies
    - tls://8.8.4.4#Proxies
    - 1.1.1.1#Proxies
    - tls://1.0.0.1#Proxies
  nameserver-policy:
    +.buct.edu.cn:
      - 202.4.130.100
      - 202.4.130.101
      - 114.114.114.114
    geosite:cn:
      - 114.114.114.114
      - 223.5.5.5
      - 223.6.6.6
    rule-set:custom:
      - 114.114.114.114
      - 223.5.5.5
      - 223.6.6.6
  proxy-server-nameserver:
    - 114.114.114.114
    - 223.5.5.5
    - 223.6.6.6
external-controller: 0.0.0.0:9090
external-ui: ui
external-ui-url: https://github.com/MetaCubeX/metacubexd/archive/refs/heads/gh-pages.zip
find-process-mode: strict
geodata-mode: true
geox-url:
  geoip: https://testingcf.jsdelivr.net/gh/MetaCubeX/meta-rules-dat@release/geoip.dat
  geosite: https://testingcf.jsdelivr.net/gh/MetaCubeX/meta-rules-dat@release/geosite.dat
  mmdb: https://testingcf.jsdelivr.net/gh/MetaCubeX/meta-rules-dat@release/country.mmdb
global-client-fingerprint: chrome
ipv6: true
log-level: info
mixed-port: 7890
mode: rule
profile:
  store-fake-ip: true
  store-selected: true
proxies:
  - name: los1
    type: ss
    server: c67s1.portablesubmarines.com
    port: 9060
    cipher: aes-256-gcm
    password: "948zMNX3NVpeuUGo"
    udp: true
    smux: 
      enabled: false
  - name: los2
    type: ss
    server: c67s2.portablesubmarines.com
    port: 9060
    cipher: aes-256-gcm
    password: "948zMNX3NVpeuUGo"
    udp: true
    smux: 
      enabled: false
  - name: los3
    type: vmess
    server: c67s3.portablesubmarines.com
    port: 9060
    uuid: 85407377-3499-4f1c-9b88-3e202235f915
    udp: false
    alterId: 0
    cipher: chacha20-poly1305
    packet-encoding: packetaddr
    global-padding: false
    authenticated-length: false
    tls: false
    network: tcp
    smux:
      enabled: false
  - name: japan
    type: vmess
    server: c67s4.portablesubmarines.com
    port: 9060
    uuid: 85407377-3499-4f1c-9b88-3e202235f915
    udp: false
    alterId: 0
    cipher: chacha20-poly1305
    packet-encoding: packetaddr
    global-padding: false
    authenticated-length: false
    tls: false
    network: tcp
    smux:
      enabled: false
  - name: England
    type: vmess
    server: c67s5.portablesubmarines.com
    port: 9060
    uuid: 85407377-3499-4f1c-9b88-3e202235f915
    udp: false
    alterId: 0
    cipher: chacha20-poly1305
    packet-encoding: packetaddr
    global-padding: false
    authenticated-length: false
    tls: false
    network: tcp
    smux:
      enabled: false
  - name: 0.1Freedom
    type: vmess
    server: c67s801.portablesubmarines.com
    port: 9060
    uuid: 85407377-3499-4f1c-9b88-3e202235f915
    udp: false
    alterId: 0
    cipher: chacha20-poly1305
    packet-encoding: packetaddr
    global-padding: false
    authenticated-length: false
    tls: false
    network: tcp
    smux:
      enabled: false 
  - client-fingerprint: chrome
    flow: xtls-rprx-vision
    name: WYF-DMIT-REALITY
    network: tcp
    port: 49589
    reality-opts:
      public-key: 1SBMIZVtgLZB5naTZBcMVcHvlTjzDiGnQ5KdVEFtwRg
      short-id: ''
    server: 216.234.143.58
    servername: dash.cloudflare.com
    skip-cert-verify: true
    tls: true
    type: vless
    udp: true
    uuid: 6156b629-27d6-451a-96fd-b2394b1e78de
  - name: local-socks5-us-1080
    type: socks5
    server: 127.0.0.1
    port: 1080
    udp: true
  - name: local-socks5-jp-1081
    type: socks5
    server: 127.0.0.1
    port: 1081
    udp: true
  - name: local-socks5-hk-1082
    type: socks5
    server: 127.0.0.1
    port: 1082
    udp: true

proxy-groups:
  - name: Proxies
    type: select
    proxies:
      - us
      - japan
      - England
      - 0.1Freedom
      - WYF-DMIT-REALITY
      - local-socks5-us-1080
      - local-socks5-jp-1081
      - local-socks5-hk-1082
      - DIRECT
  - name: us
    type: select
    proxies:
      - us_auto
      - los1
      - los2
      - los3
  - name: us_auto
    type: url-test
    url: http://cp.cloudflare.com/generate_204
    interval: 300
    tolerance: 50  # 添加这一行
    timeout: 5000  # 建议也添加超时设置
    proxies:
      - los1
      - los2
      - los3


rule-providers:
  custom:
    behavior: classical
    interval: 8640000
    path: ./ruleset/custom.yaml
    type: http
    url: https://subscribe.wawkk.top/ruleset/custom.yaml
  steam:
    behavior: classical
    interval: 8640000
    path: ./ruleset/steam.yaml
    type: http
    url: https://subscribe.wawkk.top/ruleset/steam.yaml

rules:
  - RULE-SET,custom,DIRECT
  - RULE-SET,steam,DIRECT
  - GEOIP,CN,DIRECT
  - MATCH,Proxies

sniffer:
  enable: true
  force-dns-mapping: true
  parse-pure-ip: true
  sniff:
    HTTP:
      override-destination: true
      ports:
        - 80
    TLS:
      ports:
        - 443
tcp-concurrent: false
tun:
  auto-detect-interface: true
  auto-route: true
  dns-hijack:
    - any:53
    - tcp://any:53
  enable: true
  stack: system
  mtu: 9000
  strict-route: true
unified-delay: true
